activateAddons [ 
  "vbs2_people_au_adf_rifleman",
  "vbs2_people_afg_afg_man",
  "cabuildings",
  "camisc"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnCatChanged.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_OnCreateInit = compile preprocessFile "\vbs2\editor\data\scripts\group\groupCreateOnInit.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Waypoint_Load_Branched = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointGetBranched.sqf";
_func_COC_Waypoint_Find_Config = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointFindConfigEntry.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_func_COC_Draw_Distance = compile preprocessFile "\vbs2\editor\Data\Scripts\distance\drawDistance.sqf";
_missionVersion = 3;
private["_allWaypoints"];

_group_0 = ["_group_0","",[8785.47,7647.13,0.00143433],"all","west","vbs2_au_army_d","fireteam",2,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_2 = (
[
	"_unit_2", true, "VBS2_AU_Army_Grenadier_D_F88A1", [8785.47,7647.13,171.63], [], 0, "CAN_COLLIDE", 0, "", 1.00000,
	1.00000, -1, "UNKNOWN", "titleText [""\n\n\nClear first Gulan, then continue to Somato.\nYou will receive a message when each town is cleared."",""plain down""]", "CORPORAL", 1.00000, _strCommander, _strDriver, _strGunner, _strCargo, true, true, "_group_0", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_3 = (
[
	"_unit_3", true, "VBS2_AU_Army_ATsoldier_D_LAW", [8789.47,7646.13,171.63], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_4 = (
[
	"_unit_4", true, "VBS2_AU_Army_Mgunner_D_F89", [8781.47,7646.13,171.63], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_5 = (
[
	"_unit_5", true, "VBS2_AU_Army_Rifleman_D_F88A1", [8793.47,7645.13,171.63], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_0", "WEST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_0]) call _func_COC_Create_Unit;

_marker_0 = (["_marker_0","m1","","TacticalMarker","","ColorBlue",[20, 20],0,[8785.47,7647.13,0.00143433],"true","\vbs2\ui\tacticmarkers\data\Frames\Friend_Units","\vbs2\ui\tacticmarkers\data\Icons\Infantry","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_2]) call _func_COC_Marker_Tactical_Create;

_marker_1 = ["_marker_1","gulan","","Rectangle",ERROR,"ColorRed",[50, 60],60.34238,[8864.55957, 7807.80176, 172.32954],"true","FDiagonal",ERROR,true] call _func_COC_Marker_Create;

_group_2 = ["_group_2","",[8893.21,7778.03,0.00143433],"east","east","vbs2_af_taliban","rifleteam",0,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_6 = (
[
	"_unit_6", true, "vbs2_af_taliban_ak74gla", [8893.20508, 7778.03467, 171.82841], [], 0, "CAN_COLLIDE", 0, "", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,""gulan"",""random"",""showmarker"",""trigger""] execVM ""ups.sqf""", "CORPORAL", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_2", "east", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + [_group_2]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_7 = (
[
	"_unit_7", true, "vbs2_af_taliban_rpk74", [8897.3,7776.47,171.709], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_2", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_2]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_8 = (
[
	"_unit_8", true, "vbs2_af_taliban_akm", [8889.3,7776.47,171.943], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_2", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_2]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_9 = (
[
	"_unit_9", true, "vbs2_af_taliban_akm", [8901.3,7775.47,171.63], [], 0, "CAN_COLLIDE", 0, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_2", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_2]) call _func_COC_Create_Unit;

_marker_3 = (["_marker_3","m2","","TacticalMarker","","ColorRed",[20, 20],0,[8893.21,7778.03,0.00143433],"true","\vbs2\ui\tacticmarkers\data\Frames\Hostile_Surface","\vbs2\ui\tacticmarkers\data\Icons\H_Infantry","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_6]) call _func_COC_Marker_Tactical_Create;

_group_5 = ["_group_5","",[8864.33,7839.37,0.0239868],"east","east","vbs2_af_taliban","rifleteam",0,[]] call _func_COC_Create_Group;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_14 = (
[
	"_unit_14", true, "vbs2_af_taliban_ak74gla", [8864.32910, 7839.37256, 171.96582], [], 0, "CAN_COLLIDE", 0.00000, "", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,""gulan"",""random"",""showmarker"",""trigger""] execVM ""ups.sqf""", "CORPORAL", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_5", "east", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + [_group_5]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_15 = (
[
	"_unit_15", true, "vbs2_af_taliban_rpk74", [8868.32910, 7838.37256, 171.84903], [], 0, "CAN_COLLIDE", 0.00000, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_5", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_5]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_16 = (
[
	"_unit_16", true, "vbs2_af_taliban_akm", [8860.32910, 7838.37256, 172.08269], [], 0, "CAN_COLLIDE", 0.00000, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_5", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_5]) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_17 = (
[
	"_unit_17", true, "vbs2_af_taliban_akm", [8872.32910, 7837.37256, 171.77019], [], 0, "CAN_COLLIDE", 0.00000, "", 1,
	1, -1, "UNKNOWN", "", "Private", 0.6, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "_group_5", "EAST", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1,
	0.5, 0.2, 0.5, 0.2, [], "", []
] + [_group_5]) call _func_COC_Create_Unit;

_marker_5 = (["_marker_5","m3","","TacticalMarker","","ColorRed",[20, 20],0,[8864.33,7839.37,0.0239868],"true","\vbs2\ui\tacticmarkers\data\Frames\Hostile_Surface","\vbs2\ui\tacticmarkers\data\Icons\H_Infantry","\vbs2\ui\tacticmarkers\data\Modifiers\S_Team","\vbs2\ui\tacticmarkers\data\SubRoles\Blanc",[0,0],1,[0,0],1,[0,0],1,[0,0],1,true] + [_unit_14]) call _func_COC_Marker_Tactical_Create;

_trigger_0 = ["_trigger_0", [9173.87598, 8279.06152, 164.01680], [300, 300, 0, false], ["WEST", "PRESENT", false], [0, 0, 0, false], "NONE", "", "", ["this", "nul=[ee,""somato"",""random"",""min:"",10,""showmarker"",""trigger""] execVM ""ups.sqf""; bmp setDamage .9; bmp setfuel 0.001; titleText [""10 randomly positioned Opfors"",""plain""]; ", ""],objNull,["true","NoChange","NoChange","NoChange","NoChange","NoChange","None","plain","BIS","Sphere", addQuotes '']] call _func_COC_Trigger_Create;

_marker_7 = ["_marker_7","somato","","Rectangle",ERROR,"ColorRed",[100, 74.65],0,[9156.32,8267.94],"true","BDiagonal",ERROR,true] call _func_COC_Marker_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_22 = (
[
	"_unit_22", true, "vbs2_af_taliban_ak74", [9130.54590, 8319.11328, 163.98000], [], 0, "CAN_COLLIDE", 173.83969, "ee", 1.00000,
	1.00000, -1, "UNKNOWN", "", "PRIVATE", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "east", "20 randomly placed units, initiated via trigger", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\group\groupBroadcastSubordinateGroups.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
