activateAddons [ 
  "vbs2_iq_civ",
  "vbs2_people_us_usmc_rifleman",
  "cabuildings",
  "camisc"
];

if (!isNil "_map") then
{
  call compile preProcessFile "\vbs2\editor\Data\Scripts\init_global.sqf";
  initAmbientLife;
};

_func_COC_Create_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\create_Unit.sqf";
_func_COC_Update_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\update_Unit.sqf";
_func_COC_Delete_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\delete_Unit.sqf";
_func_COC_Import_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\import_Unit.sqf";
_func_COC_UpdatePlayability_Unit = compile preprocessFile "\vbs2\editor\data\scripts\unit\updateUnitPlayability.sqf";
_func_COC_Create_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\create_Group.sqf";
_func_COC_Update_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\update_Group.sqf";
_func_COC_Delete_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group.sqf";
_func_COC_Delete_Group_Only = compile preprocessFile "\vbs2\editor\data\scripts\group\delete_Group_Only.sqf";
_func_COC_Attach_Group = compile preprocessFile "\vbs2\editor\data\scripts\group\attach_Group.sqf";
_func_COC_Group_OnCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnCatChanged.sqf";
_func_COC_Group_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnTypeChanged.sqf";
_func_COC_Group_OnNewCatChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewSideOrCatChanged.sqf";
_func_COC_Group_OnNewTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\group\groupOnNewTypeChanged.sqf";
_func_COC_Group_OnCreateInit = compile preprocessFile "\vbs2\editor\data\scripts\group\groupCreateOnInit.sqf";
_func_COC_Group_Selected = compile preprocessFile "\vbs2\editor\data\scripts\group\groupFromSelected.sqf";
_func_COC_SubTeam_Join = compile preprocessFile "\vbs2\editor\data\scripts\subteam\subTeamJoin.sqf";
_func_COC_Waypoint_Assign = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointAssign.sqf";
_func_COC_Waypoint_Update = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointUpdate.sqf";
_func_COC_Waypoint_Draw = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDraw.sqf";
_func_COC_Waypoint_Delete = compile preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointDelete.sqf";
_func_COC_Waypoint_Move = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointMove.sqf";
_func_COC_Waypoint_Load_Branched = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointGetBranched.sqf";
_func_COC_Waypoint_Find_Config = compile preprocessFile "\vbs2\editor\Data\Scripts\waypoint\waypointFindConfigEntry.sqf";
_func_COC_Marker_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreate.sqf";
_func_COC_Marker_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdate.sqf";
_func_COC_Marker_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIcons.sqf";
_func_COC_Marker_DlgChanged = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerDlgChanged.sqf";
_func_COC_Marker_Tactical_Create = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerCreateTactical.sqf";
_func_COC_Marker_Tactical_Update = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerUpdateTactical.sqf";
_func_COC_Marker_Tactical_SetDrawIcons = compile preprocessFile "\vbs2\editor\data\scripts\marker\markerSetDrawIconsTactical.sqf";
_getCrew = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\getCrew.sqf";
_func_COC_Vehicle_Create = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\vehicleCreate.sqf";
_func_COC_Vehicle_Update = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\processVehicleJoin.sqf";
_func_COC_Vehicle_Occupy = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\occupyVehicle.sqf";
_func_COC_Vehicle_Delete = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleDelete.sqf";
_func_COC_Vehicle_UnJoin = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleUnJoinGrp.sqf";
_func_COC_Vehicle_GetInEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getIn.sqf";
_func_COC_Vehicle_GetOutEH = preprocessFile "\vbs2\editor\data\scripts\vehicle\getOut.sqf";
_func_COC_Vehicle_OnTypeChanged = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\vehicleOnTypeChanged.sqf";
_func_COC_Vehicle_UpdatePlayability = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\updateCrewPlayability.sqf";
_func_COC_Import_Vehicle = compile preprocessFile "\vbs2\editor\data\scripts\vehicle\import_Vehicle.sqf";
_func_COC_Trigger_SetDisplayName = compile preprocessFile "\vbs2\editor\data\scripts\trigger\setDisplayName.sqf";
_func_COC_Trigger_Create = compile preprocessFile "\vbs2\editor\data\scripts\trigger\createTrigger.sqf";
_func_COC_IED_Create = compile preprocessFile "\vbs2\editor\data\scripts\ied\iedCreate.sqf";
_func_COC_Set_Display_Names = compile preprocessFile "\vbs2\editor\data\scripts\ui\setDisplayNames.sqf";
_func_COC_Set_Color = compile preprocessFile "\vbs2\editor\data\scripts\ui\setColor.sqf";
_func_COC_PlaceObjOnObj = compile preprocessFile "\vbs2\editor\Data\Scripts\vehicle\placeObjOnObj.sqf";
_func_COC_Draw_Distance = compile preprocessFile "\vbs2\editor\Data\Scripts\distance\drawDistance.sqf";
_missionVersion = 3;
private["_allWaypoints"];

_object_0 = objNull;
if (true) then
{
  _object_0 = ["_object_0", false, "Fire", [9707.82,10024.2,139.995], [], 0, "CAN_COLLIDE", 0, "fire0", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "fpos=false", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", [], [], [], []] call _func_COC_Vehicle_Create;
};

_object_3 = objNull;
if (true) then
{
  _object_3 = ["_object_3", false, "Fire", [9766.76,10024.7,139.995], [], 0, "CAN_COLLIDE", 22.51580, "fire1", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", [], [], [], []] call _func_COC_Vehicle_Create;
};

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_1 = (
[
	"_unit_1", true, "vbs2_iq_civ_man_01", [9739.57422, 10022.40039, 139.99500], [], 0, "CAN_COLLIDE", 173.82629, "c1", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,marker,""noslow"",""nowait"",""showmarker""] execVM ""ups.sqf""; ", "PRIVATE", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

_trigger_3 = ["_trigger_3", [9731.52246, 10058.14648, 139.99500], [0, 0, 0, false], ["ALPHA", "PRESENT", true], [0, 0, 0, false], "NONE", "", "Stop Movement", ["this", "KRON_UPS_CIV=0; player sidechat ""STOP (After reaching current destination.)""; ", ""],objNull,["true","NoChange","NoChange","NoChange","NoChange","NoChange","None","plain","BIS","Sphere", addQuotes '']] call _func_COC_Trigger_Create;

_trigger_6 = ["_trigger_6", [9745.54102, 10057.97754, 139.99500], [0, 0, 0, false], ["BRAVO", "PRESENT", true], [0, 0, 0, false], "NONE", "", "Restart Movement", ["this && (KRON_UPS_CIV==0)", "{nul=[_x,marker,""noslow"",""nowait"",""showmarker""] execVM ""ups.sqf""}forEach [c1,c2,c3,c4]; player sidechat ""GO""; ", ""],objNull,["true","NoChange","NoChange","NoChange","NoChange","NoChange","None","plain","BIS","Sphere", addQuotes '']] call _func_COC_Trigger_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_7 = (
[
	"_unit_7", true, "vbs2_us_mc_officer_D_m16a4_acog_night", [9739.00391, 9966.11523, 154.33440], [], 0, "CAN_COLLIDE", -1.67895, "", 1.00000,
	1.00000, -1, "UNKNOWN", "mpos=2; titleText [""\n\n\n\nUse radio to start and stop patrols.\nMission is using a trigger to designate and move patrol area."",""plain""]", "PRIVATE", 1.00000, _strCommander, _strDriver, _strGunner, _strCargo, true, false, "", "west", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

_trigger_11 = ["_trigger_11", [9739.02930, 10000.50000, 139.99500], [10, 10, 0, true], ["CIV", "PRESENT", true], [30, 10, 20, false], "NONE", "marker", "", ["count thislist==4", "nul=[] execVM ""movemarker.sqf""", ""],objNull,["true","NoChange","NoChange","NoChange","NoChange","NoChange","None","plain","BIS","Sphere", addQuotes '']] call _func_COC_Trigger_Create;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_9 = (
[
	"_unit_9", true, "vbs2_iq_civ_man_01", [9735.43555, 10021.98438, 139.99500], [], 0, "CAN_COLLIDE", 173.82628, "c2", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,marker,""noslow"",""nowait"",""showmarker""] execVM ""ups.sqf""; ", "PRIVATE", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_11 = (
[
	"_unit_11", true, "vbs2_iq_civ_man_01", [9735.06738, 10025.60547, 139.99500], [], 0, "CAN_COLLIDE", 173.82628, "c3", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,marker,""noslow"",""nowait"",""showmarker""] execVM ""ups.sqf""; ", "PRIVATE", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

private ["_strCommander", "_strDriver", "_strGunner", "_strCargo"];
_strCommander = ""; _strDriver = ""; _strGunner = ""; _strCargo = "";
_unit_13 = (
[
	"_unit_13", true, "vbs2_iq_civ_man_01", [9739.28125, 10026.21973, 139.99500], [], 0, "CAN_COLLIDE", 173.82628, "c4", 1.00000,
	1.00000, -1, "UNKNOWN", "nul=[this,marker,""noslow"",""nowait"",""showmarker""] execVM ""ups.sqf""; ", "PRIVATE", 0.35000, _strCommander, _strDriver, _strGunner, _strCargo, false, false, "", "civ", "", [], "", "NO CHANGE", "UNCHANGED", "Auto", 1.00000,
	0.50000, 0.20000, 0.50000, 0.20000, [], "", []
] + []) call _func_COC_Create_Unit;

_object_7 = objNull;
if (true) then
{
  _object_7 = ["_object_7", false, "FireLit", [9739.27,10000.3,139.995], [], 0, "CAN_COLLIDE", -1.07734, "fire2", 1.00000, 1.00000, 1.00000, "UNKNOWN", "DEFAULT", "", 0, "", "", "NO CHANGE", "UNCHANGED", true, 1.00000, "on", "off", [], [], [], []] call _func_COC_Vehicle_Create;
};

call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepare.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\waypoint\waypointsPrepareSynch.sqf"));
call (compile (preprocessFile "\vbs2\editor\data\scripts\group\groupBroadcastSubordinateGroups.sqf"));

if (isNil "_map") then
{
  processInitCommands;
};
